###############################################################################
### FatBomb
###

{
    id => 'alltheweb',
    title => 'AllTheWeb',
    cache => 86400,
    query => 'http://www.alltheweb.com/search?avkw=fogg&cat=web&cs=iso-8859-1&q={keywords}&_sb_lang=pref&hits=100',
    item_regexp => qr/
        <!--IS--><p\sclass="result"\sid="\w+">\s*
        <span\sclass="resTitle"><a\sclass="res"\shref="[^"]+\/\*\*([^"]+)"\s*>((?:(?!<\/a>).)*)<\/a><\/span><br>\s*
        (?:<span\sclass="resTeaser">|<span\sclass="resDescrLabel">Description:<\/span>\s<span\sclass="resDescr">)
        ((?:(?!<\/span>).)*)<\/span>
    /xs,
    item_fields => [qw(click title description)],
    unquote_click => sub {
        $_ = shift;
        $_ =~ s/%([0-9A-Fa-f]{2})/chr(hex($1))/ge;
        if ($_ =~ /^http:\/\/rd\w+\.yahoo\.com\/click\?u=([^&]+)&/) {
            $_ = $1;
            $_ =~ s/%([0-9A-Fa-f]{2})/chr(hex($1))/ge;
        }
        $_ =~ s/&/&amp;/g;
        $_ =~ s/</&lt;/g;
        $_ =~ s/>/&gt;/g;
        $_ =~ s/"/&quot;/g;
        return $_;
    },
    unquote_title => 'strip_tags',
    unquote_description => 'strip_tags',
    enabled => 0,
    weight => 100,
};

###############################################################################
###############################################################################
