###############################################################################
### FatBomb
###

{
    id => 'looksmart',
    title => 'LookSmart',
    cache => 86400,
    query => 'http://looksmartsample.val.looksmart.com/r_search?ip=127.0.0.1&isp=DROPlook1&key={keywords}',
    item_regexp => qr/
        <ls:abstract><!\[CDATA\[((?:(?!\]\]>).)*)\]\]><\/ls:abstract>\s*
        <ls:title><!\[CDATA\[((?:(?!\]\]>).)*)\]\]><\/ls:title>\s*
        <ls:url><!\[CDATA\[(?:(?!\]\]>).)*\]\]><\/ls:url>\s*
        <ls:displayUrl><!\[CDATA\[((?:(?!\]\]>).)*)\]\]><\/ls:displayUrl>
    /xs,
    item_fields => [qw(description title click)],
    unquote_title => 'strip_tags',
    unquote_description => 'strip_tags',
    enabled => 0,
    weight => 100,
};

###############################################################################
###############################################################################
