###############################################################################
### FatBomb
###

{
    id => 'yahoo',
    title => 'Yahoo!',
    cache => 86400,
    query => 'http://search.yahoo.com/search?x=op&va={keywords}&va_vt=any&vst=0&vd=all&fl=0&vf=all&ei=ISO-8859-1&vm=p&n=100',
   item_regexp => qr/
        <li><div[^>]*><div><h3><a\sclass="yschttl[^"]*"\s*href="[^"]+\/\*\*([^"]+)"\s*>
        ((?:(?!<\/a>).)*)<\/a>\s*
        (?:(?!<\/div>).)*<\/div>\s*
        <div\sclass="abstr">((?:(?!<\/div>).)*)<\/div>
    /xs,
    item_fields => [qw(click title description)],
    unquote_click => sub {
        $_ = shift;
        $_ =~ s/%([0-9A-Fa-f]{2})/chr(hex($1))/ge;
        if ($_ =~ /^http:\/\/rd\w+\.yahoo\.com\/click\?u=([^&]+)&/) {
            $_ = $1;
            $_ =~ s/%([0-9A-Fa-f]{2})/chr(hex($1))/ge;
        }
        if ($_ =~ /.*=(https?:\/\/.*)$/i) {
            $_ = $1;
        }
        if ($_ =~ /.*%3d(https?%3a%2f%2f.*)$/i) {
            $_ = $1;
            $_ =~ s/%([0-9A-Fa-f]{2})/chr(hex($1))/ge;
        }
        $_ =~ s/&/&amp;/g;
        $_ =~ s/</&lt;/g;
        $_ =~ s/>/&gt;/g;
        $_ =~ s/"/&quot;/g;
        return $_;
    },
    unquote_title => 'strip_tags',
    unquote_description => 'strip_tags',
    enabled => 0,
    weight => 100,
};

###############################################################################
###############################################################################
