###############################################################################
### FatBomb
###

{
    id => 'dmoz',
    title => 'DMOZ',
    cache => 86400,
    query => 'http://search.dmoz.org/cgi-bin/search?search={keywords}',
    item_regexp => qr/
        <li><a\shref="([^"]+)">
        ((?:(?!<\/a>).)*)<\/a>
        \s*-\s*
        ((?:(?!<br>).)*)<br>
    /xs,
    item_fields => [qw(click title description)],
    unquote_title => 'strip_tags',
    unquote_description => 'strip_tags',
    enabled => 0,
    weight => 100,
};

###############################################################################
###############################################################################
