###############################################################################
### FatBomb
###

{
    id => 'msn',
    title => 'MSN',
    cache => 86400,
    query => 'http://search.msn.com/results.aspx?q={keywords}',
    item_regexp => qr/
        <li[^>]*><h3><a\shref="([^"]+)"[^>]*>
        ((?:(?!<\/a>).)*)<\/a><\/h3>
        <p>((?:(?!<\/p>).)*)<\/p>
    /xs,
    item_fields => [qw(click title description)],
    unquote_title => 'strip_tags',
    unquote_description => 'strip_tags',
    enabled => 0,
    weight => 100,
};

###############################################################################
###############################################################################
