###############################################################################
### FatBomb
###

{
    id => 'usenet',
    title => 'Google Groups',
    cache => 86400,
    query => 'http://groups.google.com/groups/search?q=%{keywords}&start=0&num=100&scoring=d&hl=en&ie=UTF-8&oe=UTF-8',
    item_regexp => qr/
        <div\sclass="g"><a\s+href="http:\/\/www.google.com\/url\?url=([^&"]+)[^>]*>((?:(?!<\/a>).)*)<\/a>
        <table\sborder=0\scellpadding=0\scellspacing=0><tr><td[^>]*>
        (?:(?!<\/div>).)*<\/div>((?:(?!<br><span).)*)<br><span
    /xs,
    item_fields => [qw(click title description)],
    unquote_click => sub {
        $_ = shift;
        $_ =~ s/%([0-9A-Fa-f]{2})/chr(hex($1))/ge;
        $_ =~ s/&/&amp;/g;
        $_ =~ s/</&lt;/g;
        $_ =~ s/>/&gt;/g;
        $_ =~ s/"/&quot;/g;
        return $_;
    },
    unquote_title => 'strip_tags',
    unquote_description => 'strip_tags',
    enabled => 0,
    weight => 100,
};

###############################################################################
###############################################################################
