###############################################################################
### FatBomb
###

{
    id => 'youtube',
    title => 'YouTube',
    cache => 86400,
    query => 'http://www.youtube.com/results?search_query={keywords}&view_type=G',
    item_regexp => qr/
	    <div\sclass="video-long-title">\s*
        (?:<span[^<]+<\/span>\s*)?
		<a[^>]+href="(\/watch\?v=[^"]+)"[^>]*>((?:(?!<\/a>).)*)<\/a>\s*
		<\/div>\s*<\/div>\s*<div[^>]+class="video-description">\s*((?:(?!<\/div>).)*)<\/div>
    /xs,
    item_fields => [qw(click title description)],
    unquote_click => sub {
        $_ = shift;
        return "http://www.youtube.com$_";
    },
    unquote_title => 'strip_tags',
    unquote_description => 'strip_tags',
    enabled => 0,
    weight => 100,
};

###############################################################################
###############################################################################
